summarylogtreecommitdiffstats
path: root/google-messages.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-22 10:17:15 +0800
committerzxp198210052024-03-22 10:17:15 +0800
commit56e03087009481ab0585d82368e21c182bffb10a (patch)
tree43af0c4bad75422aee0ce5b1f91f3bc7d00282bb /google-messages.sh
parent965855dc42a89bbd9914c906fb4657194f9a0842 (diff)
downloadaur-56e03087009481ab0585d82368e21c182bffb10a.tar.gz
fix errors
Diffstat (limited to 'google-messages.sh')
-rw-r--r--google-messages.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/google-messages.sh b/google-messages.sh
index 86cb3dc6a9bf..7ddcaab8d734 100644
--- a/google-messages.sh
+++ b/google-messages.sh
@@ -2,6 +2,7 @@
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
@@ -9,7 +10,7 @@ export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file